# Create 'ApartmentListingSubscription'

Endpoint: POST /markets/listings/apartmentlistingsubscription/
Version: 2.0.0
Security: customer_id, application_id, service_id, service_version_id, client_ct, client_object_id, client_secret

## Request fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `custom_id` (string)

  - `tenant_applicant` (object, required)

  - `tenant_applicant.id` (string)

  - `name` (string)

  - `is_active` (boolean, required)

  - `regions` (array)

  - `communities` (array)

  - `max_rent` (integer)

  - `min_rooms` (string)
    **Additional Validation Information:**
This value must be set with a proper magnitude, in relation to the following fields: `max_rooms`
Minimum value: 0

  - `max_rooms` (string)
    **Additional Validation Information:**
This value must be set with a proper magnitude, in relation to the following fields: `min_rooms`
Minimum value: 0

  - `floor_min` (integer)
    **Additional Validation Information:**
This value must be set with a proper magnitude, in relation to the following fields: `floor_max`

  - `floor_max` (integer)
    **Additional Validation Information:**
This value must be set with a proper magnitude, in relation to the following fields: `floor_min`

  - `balcony` (array)
    **Additional Validation Information:**
Enum Descriptions:
* `NONE` - None
* `REGULAR` - Regular
* `FRENCH` - French
* `GLASS` - Glass
* `TERRACE` - Terrace
    Enum: "NONE", "REGULAR", "FRENCH", "GLASS", "TERRACE"

  - `has_private_patio` (boolean)

  - `handicap_adapted` (boolean)

  - `has_elevator` (boolean)

  - `parking_spot` (array)
    **Additional Validation Information:**
Enum Descriptions:
* `NONE` - None
* `AVAILABLE` - Available
* `INCLUDED` - Included
    Enum: "NONE", "AVAILABLE", "INCLUDED"

  - `garage` (array)
    **Additional Validation Information:**
Enum Descriptions:
* `NONE` - None
* `AVAILABLE` - Available
* `INCLUDED` - Included
    Enum: "NONE", "AVAILABLE", "INCLUDED"

  - `bathtub_present` (boolean)

## Response 201 fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `id` (string, required)
    **Additional Validation Information:**
Must be unique

  - `custom_id` (string)

  - `created_at` (string)

  - `tenant_applicant` (object, required)

  - `tenant_applicant.id` (string)

  - `name` (string)

  - `is_active` (boolean, required)

  - `last_checked_at` (string, required)

  - `regions` (array)

  - `communities` (array)

  - `max_rent` (integer)

  - `min_rooms` (string)
    **Additional Validation Information:**
This value must be set with a proper magnitude, in relation to the following fields: `max_rooms`
Minimum value: 0

  - `max_rooms` (string)
    **Additional Validation Information:**
This value must be set with a proper magnitude, in relation to the following fields: `min_rooms`
Minimum value: 0

  - `floor_min` (integer)
    **Additional Validation Information:**
This value must be set with a proper magnitude, in relation to the following fields: `floor_max`

  - `floor_max` (integer)
    **Additional Validation Information:**
This value must be set with a proper magnitude, in relation to the following fields: `floor_min`

  - `balcony` (array)
    **Additional Validation Information:**
Enum Descriptions:
* `NONE` - None
* `REGULAR` - Regular
* `FRENCH` - French
* `GLASS` - Glass
* `TERRACE` - Terrace
    Enum: "NONE", "REGULAR", "FRENCH", "GLASS", "TERRACE"

  - `has_private_patio` (boolean)

  - `handicap_adapted` (boolean)

  - `has_elevator` (boolean)

  - `parking_spot` (array)
    **Additional Validation Information:**
Enum Descriptions:
* `NONE` - None
* `AVAILABLE` - Available
* `INCLUDED` - Included
    Enum: "NONE", "AVAILABLE", "INCLUDED"

  - `garage` (array)
    **Additional Validation Information:**
Enum Descriptions:
* `NONE` - None
* `AVAILABLE` - Available
* `INCLUDED` - Included
    Enum: "NONE", "AVAILABLE", "INCLUDED"

  - `bathtub_present` (boolean)

